Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AssertionResult Class Reference

`#include <gtest.h>`

## Public Member Functions
| AssertionResult (const AssertionResult &other)
| AssertionResult (bool success)
| operator bool () const
AssertionResult | operator! () const
const char * | message () const
const char * | failure_message () const
template<typename T >
AssertionResult & | operator<< (const T &value)
AssertionResult & | operator<< (::std::ostream &(*basic_manipulator)(::std::ostream &stream))
| AssertionResult (const AssertionResult &other)
| AssertionResult (bool success)
| operator bool () const
AssertionResult | operator! () const
const char * | message () const
const char * | failure_message () const
template<typename T >
AssertionResult & | operator<< (const T &value)
AssertionResult & | operator<< (::std::ostream &(*basic_manipulator)(::std::ostream &stream))
| AssertionResult (const AssertionResult &other)
| AssertionResult (bool success)
| operator bool () const
AssertionResult | operator! () const
const char * | message () const
const char * | failure_message () const
template<typename T >
AssertionResult & | operator<< (const T &value)
AssertionResult & | operator<< (::std::ostream &(*basic_manipulator)(::std::ostream &stream))

## Constructor & Destructor Documentation

AssertionResult | ( | const AssertionResult & | other | ) |

AssertionResult | ( | bool | success | ) |
| inline explicit

AssertionResult | ( | const AssertionResult & | other | ) |

AssertionResult | ( | bool | success | ) |
| inline explicit

AssertionResult | ( | const AssertionResult & | other | ) |

AssertionResult | ( | bool | success | ) |
| inline explicit

## Member Function Documentation

const char* failure_message | ( |  | ) | const
| inline

const char* failure_message | ( |  | ) | const
| inline

const char* failure_message | ( |  | ) | const
| inline

const char* message | ( |  | ) | const
| inline

const char* message | ( |  | ) | const
| inline

const char* message | ( |  | ) | const
| inline

operator bool | ( |  | ) | const
| inline

operator bool | ( |  | ) | const
| inline

operator bool | ( |  | ) | const
| inline

AssertionResult operator! | ( |  | ) | const

AssertionResult operator! | ( |  | ) | const

AssertionResult operator! | ( |  | ) | const

AssertionResult& operator<< | ( | const T & | value | ) |
| inline

AssertionResult& operator<< | ( | const T & | value | ) |
| inline

AssertionResult& operator<< | ( | ::std::ostream &(*)(::std::ostream &stream) | basic_manipulator | ) |
| inline

AssertionResult& operator<< | ( | ::std::ostream &(*)(::std::ostream &stream) | basic_manipulator | ) |
| inline

AssertionResult& operator<< | ( | const T & | value | ) |
| inline

AssertionResult& operator<< | ( | ::std::ostream &(*)(::std::ostream &stream) | basic_manipulator | ) |
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc